import 'package:cpt_auth/modules/setting/setting_page.dart';
import 'package:cpt_auth/modules/sign_up/sign_up_page.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/login/login_page.dart';
import '../modules/reset_psd/reset_psd_page.dart';
import '../modules/select_country/select_country_page.dart';

class AuthPageRouter {
  static final routes = [

    //登录
    GetPage(
      name: RouterPath.authLogin,
      page: () => LoginPage(),
    ),

    //注册
    GetPage(
      name: RouterPath.authSignUp,
      page: () => SignUpPage(),
    ),

    //重置密码
    GetPage(
      name: RouterPath.authResetPassword,
      page: () => ResetPasswordPage(),
    ),

    //设置
    GetPage(
      name: RouterPath.settings,
      page: () => SettingPage(),
    ),

    //切换国家
    GetPage(
      name: RouterPath.authSelectCountry,
      page: () => SelectCountryPage(),
    ),
  ];
}
